1

I have a site using version 1.4 of the Google Analytics module and I wanted to upgrade to Universal Analytics. The module page says that I need the 2.x version of the module, so I updated to 2.x-dev, ran update.php (no updates necessary), and cleared the cache.

I then logged into Google Analytics and went to Audience -> Demographics -> Overview, after which I clicked Validate tracking code, but this failed.

So, I went to the module's config page (admin/config/system/googleanalytics) and checked Track display features under Search and advertising. I then cleared the cache.

I again tried to re-validate but it continues to ask me to validate.

What more do I need to do to upgrade to Universal Analytics?

  • 1
    Worth mentioning I did a write on this (especially if you have custom GA tracking code) on my blog pixelite.co.nz/article/… – wiifm Jul 9 '14 at 1:46
1

I upgraded to 2.0, cleared the cache several times, and then waited about an hour-- now it works! So I guess sometimes you just have to wait a bit after upgrading.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.